Docs
Audience · Contacts

Create Contact

Add a contact. Without audience_id it goes to the team's General segment. Adding a new contact can start automations.

POST/contacts

Body Parameters

emailstringrequired
Contact's email.
audience_idstring
Segment to add to.
first_namestring
First name (used by {{{FIRST_NAME}}}).
last_namestring
Last name.
unsubscribedboolean
Mark as unsubscribed from broadcasts.
import { Resend } from 'resend';

const client = new Resend('pw_xxxxxxxxx');

const { data, error } = await client.contacts.create({ email: 'steve@example.com', firstName: 'Steve' });
Try itPOST/contacts

No key yet? Create one in the dashboard.